import { __decorate } from 'tslib';
import { Component, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

var PasswordChangeComponent = /** @class */ (function () {
    function PasswordChangeComponent() {
        this.name = '';
        this.lname = '';
        this.position = '';
        this.gender = '';
        this.phone = '';
        this.email = '';
        this.area = '';
        this.sector = '';
        this.currentPassword = '';
        this.newPassword = '';
        this.newConfirmPassword = '';
        this.statusPassword = 'No procede';
        this.status = {
            capitalFlag: false,
            numberFlag: false,
            numberPas: false,
        };
    }
    PasswordChangeComponent.prototype.colorCheck = function (prop) {
        if (prop == 'confirmPasswords') {
            if (this.newPassword == this.newConfirmPassword && this.newPassword != '') {
                return 'ppa-check-success';
            }
            else {
                return '';
            }
        }
        else if (this.status[prop] == true) {
            return 'ppa-check-success';
        }
        else {
            return '';
        }
    };
    PasswordChangeComponent.prototype.checkString = function (val) {
        var ch;
        var i;
        var message;
        this.status = {
            capitalFlag: false,
            numberFlag: false,
            numberPas: false,
        };
        for (i = 0; i < val.length; i++) {
            ch = val.charAt(i);
            if (val.length >= 8) {
                this.status.numberFlag = true;
            }
            if ('A' <= val[i] && val[i] <= 'Z') {
                this.status.capitalFlag = true;
            } // check if you have an uppercase
            if ('0' <= val[i] && val[i] <= '9') {
                this.status.numberPas = true;
            }
            if (this.status.numberPas == true && this.status.numberFlag == true && this.status.capitalFlag == true) {
                this.statusPassword = 'Procede';
                return 'Procede';
            }
            else if (i == (val.length - 1)) {
                this.statusPassword = 'No procede';
                return 'No procede';
            }
        }
    };
    PasswordChangeComponent.prototype.setInputs = function (v, v2) {
        if (v == 'fg1') {
            if (v2 == '') {
                return 'form-group pt-3';
            }
            else {
                return 'form-group pt-3 form-group-valid';
            }
        }
        else if (v == 'fg2') {
            if (v2 == '') {
                return 'form-group';
            }
            else {
                return 'form-group form-group-valid';
            }
        }
        else if (v == 1) {
            if (v2 == '') {
                return 'form-control-placeholder';
            }
            else {
                return 'form-control-placeholder ppa-input-with-text';
            }
        }
        else {
            if (v2 == '') {
                return 'form-control-placeholder';
            }
            else {
                return 'form-control-placeholder ppa-input-with-text';
            }
        }
    };
    PasswordChangeComponent.prototype.ngOnInit = function () {
    };
    PasswordChangeComponent = __decorate([
        Component({
            selector: 'ppa-user-data-change',
            template: "<div class=\"card p-3 ppa-change-password-component\">\r\n    <div class=\"card-body row\">\r\n        <div class=\"col-12 mb-0\">\r\n            <p class=\"ppa-change-password-title mb-0\">Datos Personales</p></div>\r\n        <div class=\"col-4\">\r\n            <div [ngClass]=\"setInputs('fg1',name)\">\r\n                <input type=\"text\" id=\"name\" class=\"form-control\" name=\"name\" minlength=\"3\" #ngModel [(ngModel)]=\"name\" required>\r\n                <label [ngClass]=\"setInputs(1,name)\" for=\"name\">Nombre</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-4\">\r\n            <div [ngClass]=\"setInputs('fg1',lname)\">\r\n                <input type=\"text\" id=\"lname\" class=\"form-control\" name=\"lname\" minlength=\"3\" #ngModel [(ngModel)]=\"lname\" required>\r\n                <label [ngClass]=\"setInputs(1,lname)\" for=\"lname\">Apellido</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-4\">\r\n            <div [ngClass]=\"setInputs('fg1',position)\">\r\n                <select id=\"position\" class=\"form-control\" name=\"position\" minlength=\"3\" #ngModel [(ngModel)]=\"position\" required>\r\n                    <option value=\"Gerente General\">Gerente General</option>\r\n                    <option value=\"Gerente\">Gerente</option>\r\n                    <option value=\"Sub-gerente\">Sub-gerente</option>\r\n                    <option value=\"Jefe de Sector\">Jefe de Sector</option>\r\n                    <option value=\"Jefe de Terreno\">Jefe de Terreno</option>\r\n                    <option value=\"Jefe de Crianza\">Jefe de Crianza</option>\r\n                </select>\r\n                <label [ngClass]=\"setInputs(1,position)\" for=\"position\">Cargo</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-4\">\r\n            <div [ngClass]=\"setInputs('fg1',gender)\">\r\n                <select id=\"gender\" class=\"form-control\" name=\"gender\" minlength=\"3\" #ngModel [(ngModel)]=\"gender\" required>\r\n                    <option value=\"Masculino\">Masculino</option>\r\n                    <option value=\"Femenino\">Femenino</option>\r\n                </select>\r\n                <label [ngClass]=\"setInputs(1,gender)\" for=\"position\">Sexo</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-4\">\r\n            <div [ngClass]=\"setInputs('fg1',email)\">\r\n                <input type=\"email\" id=\"email\" class=\"form-control\" name=\"email\" #ngModel [(ngModel)]=\"email\" required>\r\n                <label [ngClass]=\"setInputs(1,email)\" for=\"email\">Correo Electr\u00F3nico</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-4\">\r\n            <div [ngClass]=\"setInputs('fg1',phone)\">\r\n                <input type=\"text\" id=\"phone\" class=\"form-control\" name=\"phone\" pattern=\"[0-9]{9}\" maxlength=\"9\" #ngModel [(ngModel)]=\"phone\" required>\r\n                <label [ngClass]=\"setInputs(1,phone)\" for=\"phone\">Tel\u00E9fono</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 row m-0 p-0\">\r\n            <div class=\"col-12 col-sm-8 row m-0 p-0\">\r\n                <div class=\"col-12\">\r\n                    <p class=\"ppa-change-password-title mb-0\">Ubicaci\u00F3n</p>\r\n                </div>\r\n                <div class=\"col-6\">\r\n                    <div [ngClass]=\"setInputs('fg1',area)\">\r\n                        <select id=\"area\" class=\"form-control\" name=\"area\" minlength=\"3\" #ngModel [(ngModel)]=\"area\" required>\r\n                            <option value=\"Longovilo\">Longovilo</option>\r\n                            <option value=\"Valdebenito\">Valdebenito</option>\r\n                            <option value=\"Rancagua\">Rancagua</option>\r\n                            <option value=\"Estrella\">Estrella</option>\r\n                            <option value=\"San Francisco\">San Francisco</option>\r\n                        </select>\r\n                        <label [ngClass]=\"setInputs(1,area)\" for=\"area\">Zona</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-6\">\r\n                    <div [ngClass]=\"setInputs('fg1',sector)\">\r\n                        <select id=\"sector\" class=\"form-control\" name=\"sector\" minlength=\"3\" #ngModel [(ngModel)]=\"sector\" required>\r\n                            <option value=\"El Mirador\" *ngIf=\"area == 'Valdebenito'\">El Mirador</option>\r\n                            <option value=\"Bosque Viejo\" *ngIf=\"area == 'Rancagua'\">Bosque Viejo</option>\r\n                            <option value=\"La Esmeralda\" *ngIf=\"area == 'Rancagua'\">La Esmeralda</option>\r\n                            <option value=\"Don Ambrosio\" *ngIf=\"area == 'Estrella'\">Don Ambrosio</option>\r\n                            <option value=\"Longovilo\" *ngIf=\"area == 'Longovilo'\">Longovilo</option>\r\n                            <option value=\"Santa Teresa\" *ngIf=\"area == 'San Francisco'\">Santa Teresa</option>\r\n                            <option value=\"San Pedro\" *ngIf=\"area == 'San Francisco'\">San Pedro</option>\r\n                        </select>\r\n                        <label [ngClass]=\"setInputs(1,sector)\" for=\"sector\">Sector</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-12\">\r\n                    <p class=\"ppa-change-password-title mb-0\">Seguridad</p>\r\n                </div>\r\n                <div class=\"col-4\">\r\n                    <div [ngClass]=\"setInputs('fg1',currentPassword)\" style=\"margin-bottom:0px !important\">\r\n                        <input type=\"password\" id=\"currentPassword\" class=\"form-control\" name=\"currentPassword\" minlength=\"8\" #ngModel [(ngModel)]=\"currentPassword\" required>\r\n                        <label [ngClass]=\"setInputs(1,currentPassword)\" for=\"currentPassword\">Contrase\u00F1a Actual</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-4\">\r\n                    <div [ngClass]=\"setInputs('fg1',newPassword)\" style=\"margin-bottom:0px !important\">\r\n                        <input type=\"password\" (input)=\"checkString(newPassword)\" id=\"newPassword\" class=\"form-control\" name=\"newPassword\" minlength=\"8\" #ngModel [(ngModel)]=\"newPassword\" required>\r\n                        <label [ngClass]=\"setInputs(1,newPassword)\" for=\"newPassword\">Contrase\u00F1a Nueva</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-4\">\r\n                    <div [ngClass]=\"setInputs('fg1',newConfirmPassword)\" style=\"margin-bottom:0px !important\">\r\n                        <input type=\"password\" id=\"newConfirmPassword\" class=\"form-control\" name=\"newConfirmPassword\" minlength=\"8\" #ngModel [(ngModel)]=\"newConfirmPassword\" required>\r\n                        <label [ngClass]=\"setInputs(1,newConfirmPassword)\" for=\"newConfirmPassword\">Repetir Contrase\u00F1a</label>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"col-12 col-sm-4 d-flex mt-auto\">\r\n                <div class=\"w-100 card\" style=\"background-color: rgba(131,142,171,.1) !important; border:0 !important\">\r\n                    <div class=\"card-body\">\r\n                        <p class=\"ppa-change-password-title mb-0\">Su nueva contrase\u00F1a deber\u00E1 cumplir con las siguientes caracter\u00EDsticas:</p>\r\n                        <p><span [ngClass]=\"colorCheck('numberFlag')\"><i class=\"fa fa-check\"></i></span> Deber\u00E1 contener al menos 8 caracteres <br> <span [ngClass]=\"colorCheck('capitalFlag')\"><i class=\"fa fa-check\"></i></span> Tener al menos una mayuscula<br> <span [ngClass]=\"colorCheck('numberPas')\"><i class=\"fa fa-check\"></i></span> Tener al menos un n\u00FAmero<br> <span [ngClass]=\"colorCheck('confirmPasswords')\"><i class=\"fa fa-check\"></i></span> Las dos contrase\u00F1as deben coincidir</p>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 text-center mt-5\">\r\n            <button class=\"btn px-5 py-2\" style=\"background-color: #226BD1; color: white; font-family: 'Mada', sans-serif; font-weight:bold; font-size:18px\">Guardar cambios</button>\r\n        </div>\r\n    </div>\r\n</div>\r\n",
            styles: ["@import url(https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css);@import url(https://fonts.googleapis.com/css?family=Mada:400,700&display=swap);@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,700&display=swap);@import url(https://use.fontawesome.com/releases/v5.6.3/css/all.css);.ppa-change-password-component{font-family:\"Open Sans\",sans-serif}.ppa-change-password-component .ppa-check-success{color:green!important}.ppa-change-password-component .ppa-change-password-title{font-family:Mada,sans-serif!important;font-size:18px!important;font-weight:700}.ppa-change-password-component .form-control-placeholder{position:absolute;top:0;padding:30px 0 0 15px;transition:.2s;opacity:.5}.ppa-change-password-component .form-group-valid .form-control:invalid{border:1px solid red!important}.ppa-change-password-component .form-control:-webkit-autofill,.ppa-change-password-component .form-control:-webkit-autofill:focus,.ppa-change-password-component .form-control:-webkit-autofill:hover,.ppa-change-password-component input:-webkit-autofill:active{background:#fff!important;-webkit-box-shadow:0 0 0 30px #fff inset!important;color:#000!important}.ppa-change-password-component .form-control:focus+.form-control-placeholder,.ppa-change-password-component .form-control:invalid+.ppa-input-with-text,.ppa-change-password-component .form-control:valid+.form-control-placeholder{font-size:14px;transform:translate3d(0,25%,0);opacity:1;margin-left:10px!important;background-color:#fff!important;padding:0 5px!important}.ppa-change-password-component .form-control{height:50px!important}"]
        })
    ], PasswordChangeComponent);
    return PasswordChangeComponent;
}());

var PasswordChangeModule = /** @class */ (function () {
    function PasswordChangeModule() {
    }
    PasswordChangeModule = __decorate([
        NgModule({
            declarations: [PasswordChangeComponent],
            imports: [
                CommonModule,
                FormsModule
            ],
            exports: [PasswordChangeComponent]
        })
    ], PasswordChangeModule);
    return PasswordChangeModule;
}());

/*
 * Public API Surface of password-change
 */

/**
 * Generated bundle index. Do not edit.
 */

export { PasswordChangeComponent, PasswordChangeModule };
//# sourceMappingURL=password-change.js.map
